Tenants - List

アカウントのテナントを取得します。

GET https://management.azure.com/tenants?api-version=2022-12-01

URI パラメーター

名前 / 必須 型 説明
api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 型 説明
200 OK

TenantListResult

Azureの運用は無事に完了しました。

Other Status Codes

CloudError

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

例

GetAllTenants

要求のサンプル

GET https://management.azure.com/tenants?api-version=2022-12-01

応答のサンプル

{
  "nextLink": "http://nextlink",
  "value": [
    {
      "countryCode": "US",
      "defaultDomain": "aad50.ccsctp.net",
      "displayName": "Test_Test_aad50",
      "domains": [
        "aad50.ccsctp.net"
      ],
      "id": "/tenants/a70a1586-9c4a-4373-b907-1d310660dbd1",
      "tenantCategory": "ManagedBy",
      "tenantId": "a70a1586-9c4a-4373-b907-1d310660dbd1",
      "tenantType": "AAD"
    },
    {
      "countryCode": "US",
      "defaultDomain": "auxteststagemanual.ccsctp.net",
      "displayName": "Contoso Corp.",
      "domains": [
        "auxteststagemanual.ccsctp.net"
      ],
      "id": "/tenants/83abe5cd-bcc3-441a-bd86-e6a75360cecc",
      "tenantCategory": "Home",
      "tenantId": "83abe5cd-bcc3-441a-bd86-e6a75360cecc",
      "tenantType": "AAD"
    },
    {
      "countryCode": "US",
      "defaultDomain": "rdvmohoro.ccsctp.net",
      "displayName": "TEST_TEST_RDV",
      "domains": [
        "rdvmohoro.ccsctp.net",
        "rdvmohoro.mail.ccsctp.net",
        "rdvmohoro.com"
      ],
      "id": "/tenants/daea2e9b-847b-4c93-850d-2aa6f2d7af33",
      "tenantBrandingLogoUrl": "logo1.logo.rdvmohoro.com",
      "tenantCategory": "ProjectedBy",
      "tenantId": "daea2e9b-847b-4c93-850d-2aa6f2d7af33",
      "tenantType": "AAD"
    }
  ]
}

定義

名前 説明
CloudError

リソース管理要求のエラー応答。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

TenantCategory

テナントのカテゴリ。

TenantIdDescription

テナント ID 情報。

TenantListResult

テナント ID の情報。

CloudError

リソース管理要求のエラー応答。

名前 型 説明
error

ErrorResponse

エラー応答
失敗した操作のエラーの詳細を返す、すべての Azure Resource Manager API の一般的なエラー応答。 (これは、OData エラー応答形式にも従います)。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 型 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 型 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 型 説明
error

ErrorDetail

エラー オブジェクト。

TenantCategory

テナントのカテゴリ。

値 説明
Home

ホーム

ProjectedBy

プロジェクテッド

ManagedBy

ManagedBy

TenantIdDescription

テナント ID 情報。

名前 型 説明
country

string

テナントのアドレスの国/地域名。

countryCode

string

テナントの国/地域の省略形。

defaultDomain

string

テナントの既定のドメイン。

displayName

string

テナントの表示名。

domains

string[]

テナントのドメインの一覧。

id

string

テナントの完全修飾 ID。 たとえば、/tenants/8d65815f-a5b6-402f-9298-045155da7d74

tenantBrandingLogoUrl

string

テナントのブランド化ロゴの URL。 "ホーム" テナント カテゴリでのみ使用できます。

tenantCategory

TenantCategory

テナントのカテゴリ。

tenantId

string

テナント ID。 たとえば、8d65815f-a5b6-402f-9298-045155da7d74

tenantType

string

テナントの種類。 "ホーム" テナント カテゴリでのみ使用できます。

TenantListResult

テナント ID の情報。

名前 型 説明
nextLink

string (uri)

アイテムの次のページへのリンク

value

TenantIdDescription[]

このページのTenantIdDescription関連項目